<nav class="navbar navbar-expand-lg navbar-dark bg-dark">
  <a class="navbar-brand" href="#">login-<span class="text-danger">OAuth</span></a>
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarColor02" aria-controls="navbarColor02" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>

  <div class="collapse navbar-collapse" id="navbarColor02">
    <ul class="navbar-nav mr-auto">
      <li class="nav-item" routerLinkActive="active">
            <a class="nav-link" href="#" routerLink="/">Home <span class="sr-only">(current)</span></a>
      </li>

       <li class="nav-item" routerLinkActive="active" 
       *ngIf="auth.isAuthenticated()">
            <a class="nav-link" href="#" routerLink="privado">Drive <span class="sr-only">(current)</span></a>
      </li>

    </ul>
    <ul class="navbar-nav mx-auto">
      <li class="nav-item" routerLinkActive="active" *ngIf="!auth.isAuthenticated()">
       <!--<a class="nav-link" href="#" routerLink="/login">Login</a>-->
        <button class="btn btn-lg btn-google" (click)="login()" >
          <i class="fa fa-google-plus" aria-hidden="true"></i> Ingresar</button>
    


      <li class="nav-item" *ngIf="auth.isAuthenticated()">
        <img [src]="profile.picture" class="rounded-circle">
        <span class="badge pill badge-secondary"> {{profile.name}}</span>
      </li>


    <!--  <li class="nav-item" *ngIf="!isLogin">
        <a class="nav-link" href="#" routerLink="/register">Registrarse</a>
      </li>-->
        <li class="nav-item" routerLinkActive="active" *ngIf="auth.isAuthenticated()">
        <!-- <a class="nav-link" href="#" (click)="onClickLogout()" >Salir</a>-->
         <button class="btn btn-lg btn-google" (click)="salir()" > Salir </button>
      </li>


    </ul>

  </div>
</nav>

<div class ="row" *ngIf="profile">
<img [src]="profile.picture">
</div>

